List analysis items
List analysis items available in the workspace.
Headers
xi-api-key
Query parameters
search
If specified, only analysis items whose names start with this string are returned, ordered by relevance rather than sort_direction.
page_size
How many documents to return at maximum. Can not exceed 100, defaults to 30.
kind
If specified, only analysis items of this kind are returned.
Allowed values:
analysis_item_ids
If specified, only analysis items with these IDs are returned.
created_by_user_id
Filter by creator user ID. Use ‘@me’ to refer to the authenticated user.
sort_direction
The direction to sort the results
Allowed values:
cursor
Used for fetching next page. Cursor is returned in the response.
Response
Successful Response
analysis_items
has_more
next_cursor
Errors
422
Analysis Items List Request Unprocessable Entity Error